Subject: bug#59882: Multiple versions of Org in load-path problem

From: Stefan Monnier <[email-masked]>
Date: Thu, 06 Apr 2023 17:25:08 -0400

> I have noticed that neither `package--reload-previously-loaded` nor code
> loading already compiled package unload the loaddefs file. E.g. I added

The state of our unloading support is not good enough to use it blindly,
indeed: it's too easy/common to have packages where `unload` leaves you
with an Emacs that has serious problems (including being unusable).

So, instead we limit ourselves to force-reloading files which tends to
be much more harmless (tho in theory of course it's just as bad).
It also tends to be sufficient.

        Stefan